function [err] = checksstate(s,rk,wtilde,R,L,kbar,wstar,Rk,q,piss, ...
    piw,uzc,inv,pstar,lambdaz,yz,Fp,Kp,g,c,Fw,Kw,wplus,pitild,pitildw, ...
    alpha,psik,psil,epsil,muzstar,upsil,lambdaw,lambdaf,muup,tauk,delta, ...
    b,beta,zetac,x,xip,xiw,tauc,taul,sigmaL,zeta,phi,lambdaws,lambdafs)

%as discussed in the manuscript, there are 21 equations that are set to
%zero in the steady state. One of them, eq5, is used to determine the
%derivative of the utilization cost function, and is not checked below.
%eq2:
err(1)=s-((1/(1-alpha))^(1-alpha))*((1/alpha)^alpha)*((rk*(1+psik*R))^alpha)*((wtilde*(1+psil*R))^(1-alpha))/epsil;
%eq3:
err(2) = s - rk*(1+psik*R)/(alpha*epsil*( ( upsil*muzstar*(wstar^(lambdaw/(lambdaw-1))) * L/kbar )^(1-alpha) ) );
%eq4:
err(3) = q - 1/muup;
%eq6:
err(4) = Rk - (((1-tauk)*rk + (1-delta)*q)*piss/(upsil*q)) - tauk*delta + 1;
%eq14:
err(5) = uzc - (1/c)*(muzstar-b*beta)*zetac/(muzstar-b);
%eq17
err(7)=(beta/(piss*muzstar))*(1+R) - 1;

err(8)=uzc - (1+tauc)*zetac*lambdaz;
%eq21
err(9)=kbar-(1-delta)*kbar/(muzstar*upsil)-inv;
%eq22
err(10)=piss-(1+x)/muzstar;
%eq24
err(11)=Rk-piss*muzstar/beta+1;
%eq31
err(13)=pstar-((1-xip)*( (1 - xip * ((pitild/piss)^(1/(1-lambdaf))))/(1-xip))^lambdaf + ...
    xip*(pitild*pstar/piss)^(lambdaf/(1-lambdaf)))^((1-lambdaf)/lambdaf);
%eq32
www= (1-xiw*(( (pitildw/piw)*muzstar )^(1/(1-lambdaw))))/(1-xiw);
err(14)=wstar-( (1-xiw)*www^lambdaw + xiw*( (pitildw/piw) * muzstar*wstar)^(lambdaw/(1-lambdaw)) )^((1-lambdaw)/lambdaw);
%eq33
err(15)=lambdaz*yz+(pitild/piss)^(1/(1-lambdaf))*beta*xip*Fp-Fp;
%eq34
err(16)=(lambdaf/lambdafs)*lambdaz*yz*s+beta*xip*((pitild/piss)^(lambdaf/(1-lambdaf)))*Kp-Kp;
%eq20
err(17)=g+c+inv/muup-yz;
%eq35
err(18)=lambdaws*zetac*wstar^(lambdaw/(lambdaw-1))*L*(1-taul)*lambdaz/lambdaw + beta*xiw*muzstar^(lambdaw/(1-lambdaw)) ...
    *piw^(lambdaw/(lambdaw-1))*pitildw^(1/(1-lambdaw))*Fw/piss - Fw;
%eq36
err(19)=(wstar^(lambdaw/(lambdaw-1))*L)^(1+sigmaL)*zetac*zeta ...
    + beta*xiw*(pitildw*muzstar/piw)^(lambdaw*(1+sigmaL)/(1-lambdaw))*Kw-Kw;
%eq37
wx=(1-xiw*(pitildw*muzstar/piw)^(1/(1-lambdaw)))/(1-xiw);
err(20)=wplus-((1-xiw)*wx^(lambdaw*(1+sigmaL)) + xiw*(pitildw*muzstar*wplus/piw)^(lambdaw*(1+sigmaL)/(1-lambdaw)))^((1-lambdaw)/(lambdaw*(1+sigmaL)));
%check on phi
err(21)=yz-s*(yz*(pstar^(lambdaf/(1-lambdaf)))+phi);