function [omega,sigma,Gamma,G,Gam_muG] = findentre(Fomegabar,k,n)
omega=.0001;
[ffold,sigma,Gamma,G,ix]=fomega(omega,Fomegabar,k,n);
if ix > 0
    error('fatal (steadystate) trouble looking for sigma')
end
incr=.1;
xx=[];
for ii = 1:100
    omega=omega+incr;
    [ff,sigma,Gamma,G,ix]=fomega(omega,Fomegabar,k,n);
    if ix == 0 & ff*ffold < 0
        xx=[omega-incr omega];
        break
    elseif ix > 0
        omega=omega-incr;
        incr=incr/10;
    elseif ix == 0 & ff*ffold > 0
        ffold=ff;
    end
end
if isempty(xx) == 1
    error('fatal(steadystate) failed to bracket steady state value of omegabar')
end
opt=optimset;
[x,fval,exitflag]=fzero('fomega',xx,opt,Fomegabar,k,n);
if abs(fval) > .1e-9 | abs(imag(fval)) > .1e-9 | abs(imag(x)) > .1e-9 | x < 0
    error('fatal (steadystate) failed to find omegabar in steady state')
end
omega=x;
[ffold,sigma,Gamma,G,ix]=fomega(omega,Fomegabar,k,n);
Gam_muG=Gamma;
