%if ip= 1, technology;
%if 2, money.
if ip == 1
    ssh='1 percent Technology';
else
    ssh='Monetary Policy';
end
if length(tt) ~= 7
    error('fatal (table) tt must have 7 elements')
end

ss=['\\multicolumn{8}{c}{Percent Response in GDP to ',ssh,' Shock} \\\\ \n']
fprintf(fid,'\\begin{equation*}\n');
fprintf(fid,'\\begin{tabular}{llllllll}\n');
fprintf(fid,ss);
fprintf(fid,'& period %2i & period %2i & period %2i & period %2i & period %2i & period %2i & period %2i  \\\\ \n',tt); 
if ip == 1
    fprintf(fid,'CEE & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f \\\\ \n',eval([deblank(ir_CEE_tech(6,:)),'(tt)']));
    fprintf(fid,'Incomplete & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f  \\\\ \n',eval([deblank(ir_base_tech(6,:)),'(tt)']));
    fprintf(fid,'Incomplete/No Fisher & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f \\\\ \n',eval([deblank(ir_noFish_tech(6,:)),'(tt)']));
    fprintf(fid,'Complete & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f \n',eval([deblank(ir_complete_tech(6,:)),'(tt)']));
else
    fprintf(fid,'CEE & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f \\\\ \n',eval([deblank(ir_CEE_money(6,:)),'(tt)']));
    fprintf(fid,'Incomplete & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f \\\\ \n',eval([deblank(ir_base_money(6,:)),'(tt)']));
    fprintf(fid,'Incomplete/No Fisher & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f \\\\ \n',eval([deblank(ir_noFish_money(6,:)),'(tt)']));
    fprintf(fid,'Complete & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f & %5.2f \n',eval([deblank(ir_complete_money(6,:)),'(tt)']));
end
fprintf(fid,'\\end{tabular}%% \n');
fprintf(fid,'\\end{equation*} \n');
