function ceedecomposition(ivar,APR,inn,yyhat,H,F,R,time,kk,order_var,lgy_,lgx_,xsmooth)
         

%dly piU lhU dli dlc RXU
if ivar==1;figure('Name','shock decomposition of output growth');end
if ivar==2;figure('Name','shock decomposition of inflation');end
if ivar==3;figure('Name','shock decomposition of log hours');end
if ivar==4;figure('Name','shock decomposition of investment growth');end
if ivar==5;figure('Name','shock decomposition of consumption growth');end
if ivar==6;figure('Name','shock decomposition of interest rate');end


yyys=zeros(size(yyhat));
yyy41=zeros(size(yyhat));

yyy85=zeros(size(yyhat));

for jj = 1:size(inn,1)+4;
    inno=zeros(size(inn));
    if jj < size(inn,1)+1;
        inno(jj,:)=inn(jj,:);
        ksi(:,1)=zeros(size(H,2),1);
    elseif jj == size(inn,1)+1;
        ksi(:,1)=xsmooth(:,1);
    end
    if jj < size(inn,1)+2
        yy(:,1)=H*ksi(:,1);
        for ii = 2:size(inn,2)
            ksi(:,ii)=F*ksi(:,ii-1)+R*inno(:,ii);
            yy(:,ii)=H*ksi(:,ii);
        end
    end
    ia=4;
    if APR==0;ia=0;end
    
    if jj<8&jj>3
        yyys=yyys+yy;
        yyy41=yyy41+yy;
    elseif jj<12&jj>7
        yyys=yyys+yy;
        yyy85=yyy85+yy;   
    elseif jj < size(inn,1)+2;
        yyys=yyys+yy;
    else
        for ij = 1+ia:size(inn,2);
            if APR == 1;
                Qyyys(ivar,ij)=sum([yyys(ivar,[ij-ia:ij])]);
            else
                Qyyys(ivar,ij)=yyys(ivar,ij);
            end
        end
    end
    subplot(4,5,jj)
    for ij = 1+ia:size(inn,2);
        if APR == 1
            yyyhat(ivar,ij)=sum([yyhat(ivar,[ij-ia:ij])]);
            yyy(ivar,ij)=sum([yy(ivar,[ij-ia:ij])]);
        else
            yyyhat(ivar,ij)=yyhat(ivar,ij);
            yyy(ivar,ij)=yy(ivar,ij);
        end
    end
    tt=1+ia:size(inn,2);
    if jj < size(inn,1)+2
        plot(time(tt),(yyyhat(ivar,tt)),time(tt),(yyy(ivar,tt)))
        a=corrcoef(yyyhat(ivar,tt),yyy(ivar,tt));
        rel=var(yyy(ivar,tt))/var(yyyhat(ivar,tt));
        ss=['corr = ',num2str(a(1,2),'%5.2f'),' rel var = ',num2str(rel,'%5.2f')];
        text(1986,-.01,ss);
    
    elseif jj < size(inn,1)+3
        plot(time(tt),(yyyhat(ivar,tt)),time(tt),(Qyyys(ivar,tt)))
        title('Sum of all responses and smoothed output')
    elseif jj < size(inn,1)+4
        plot(time(tt),(yyyhat(ivar,tt)),time(tt),(yyy41(ivar,tt)))
        a=corrcoef(yyyhat(ivar,tt),yyy41(ivar,tt));
        rel=var(yyy41(ivar,tt))/var(yyyhat(ivar,tt));
        ss=['corr = ',num2str(a(1,2),'%5.2f'),' rel var = ',num2str(rel,'%5.2f')];
        text(1986,-.01,ss);
        title('Sum of responses to signals 1 to 4')
      else
        plot(time(tt),(yyyhat(ivar,tt)),time(tt),(yyy85(ivar,tt)))
        a=corrcoef(yyyhat(ivar,tt),yyy85(ivar,tt));
        rel=var(yyy85(ivar,tt))/var(yyyhat(ivar,tt));
        ss=['corr = ',num2str(a(1,2),'%5.2f'),' rel var = ',num2str(rel,'%5.2f')];
        text(1986,-.01,ss); 
        title('Sum of responses to signals 5 to 8')
    end
    if jj < size(inn,1)+1
        %ss=[lgy_(order_var(kk(jj)),:)];
        ss=[lgx_(jj,:)];
        title(ss);
    elseif jj == size(inn,1)+1
        title('response to initial conditions')
    end
    axis tight
end
ss=[];
if APR==1;ss=' (year over year)';end
if ivar==1;hout=suptitle(['Historical decomposition of output growth in terms of each shock',ss]);end
if ivar==2;hout=suptitle(['Historical decomposition of inflation in terms of each shock',ss]);end
if ivar==3;hout=suptitle(['Historical decomposition of log hours in terms of each shock',ss]);end
if ivar==4;hout=suptitle(['Historical decomposition of investment growth in terms of each shock',ss]);end
if ivar==5;hout=suptitle(['Historical decomposition of consumption growth in terms of each shock',ss]);end
if ivar==6;hout=suptitle(['Historical decomposition of interest rate in terms of each shock',ss]);end
%dly piU lhU dli dlc RXU
