ip=0;%if unity, graph the data
getdat=1;%if unity, read the data in and prepare it and store it.

if ip == 1;getdat==1;end
if getdat == 1

    addpath('c:\sw20\docs\journals\referee\Ramey')
    [A,B]=xlsread('govdat_for_larry.xls','govdat_for_larry');
    %valerie ramy's data....dropped 2006q4 because that observation is missing
    %for total hours worked. Dropped 1947q1 because we're missing that
    %observation for the price of investment goods.
    %a concern about Valerie's data: investment does not include consumer
    %durables and government investment.
    %
    %1947q2-2006q3
    lrgov=A(2:end-1,1);%log of real total government purchases
    lrdef=A(2:end-1,2);%log of real defense government purchases
    lrgdp=A(2:end-1,3);%log of real GDP
    lrcndsv=A(2:end-1,4);%log of real nondurable + services consumption
    lrinvfx=A(2:end-1,5);%log of real gross private fixed investment
    ltothours=A(2:end-1,6);%log of total hours worked
    lrbuswage=A(2:end-1,7);%log of hourly compensation in private business divided by price deflator for private business
    lpop=log(A(2:end-1,10));%total population, including armed forces overseas
    %taken from ACELdata.xlsx, book Interest, column P.

    % Title:	Gross Domestic Product: Implicit Price Deflator
    % Series ID:	GDPDEF
    % Source:	U.S. Department of Commerce: Bureau of Economic Analysis
    % Release:	Gross Domestic Product
    % Seasonal Adjustment:	Seasonally Adjusted
    % Frequency:	Quarterly
    % Units:	Index 2000=100
    % Date Range:	1947-01-01 to 2007-04-01
    % Last Updated:	2007-07-27 11:15 AM CT
    % Notes:	The number of decimal places reported varies over time.  A Guide to
    % 	the National Income and Product Accounts of the United States (NIPA) -
    % 	(http://www.bea.gov/bea/an/nipaguid.pdf)
    %1947q2-2006q3
    price=[15.329
        15.597
        15.989
        16.111
        16.254
        16.556
        16.597
        16.531
        16.350
        16.256
        16.272
        16.222
        16.286
        16.630
        16.950
        17.582
        17.690
        17.700
        17.896
        17.879
        17.913
        18.119
        18.172
        18.172
        18.206
        18.276
        18.316
        18.375
        18.392
        18.425
        18.477
        18.566
        18.644
        18.783
        18.973
        19.165
        19.276
        19.524
        19.599
        19.876
        20.012
        20.131
        20.133
        20.355
        20.419
        20.553
        20.656
        20.704
        20.704
        20.753
        20.840
        20.931
        21.004
        21.084
        21.146
        21.192
        21.237
        21.303
        21.375
        21.501
        21.533
        21.585
        21.653
        21.702
        21.745
        21.788
        21.951
        22.016
        22.073
        22.160
        22.270
        22.383
        22.480
        22.563
        22.707
        22.855
        23.048
        23.291
        23.505
        23.612
        23.741
        23.975
        24.241
        24.506
        24.763
        25.008
        25.362
        25.626
        25.958
        26.332
        26.675
        27.056
        27.428
        27.647
        28.004
        28.425
        28.798
        29.089
        29.322
        29.781
        29.959
        30.250
        30.652
        31.020
        31.500
        32.114
        32.750
        33.376
        34.162
        35.166
        36.218
        37.050
        37.614
        38.313
        38.987
        39.418
        39.840
        40.385
        41.122
        41.796
        42.401
        42.917
        43.852
        44.505
        45.321
        46.072
        47.047
        47.876
        49.058
        50.115
        51.117
        52.195
        53.349
        54.560
        56.071
        57.517
        58.598
        59.641
        60.729
        61.555
        62.302
        63.182
        63.863
        64.388
        64.853
        65.517
        66.012
        66.837
        67.414
        67.953
        68.385
        69.155
        69.550
        69.838
        70.289
        70.652
        71.015
        71.426
        71.893
        72.487
        72.882
        73.425
        73.958
        74.587
        75.300
        76.141
        76.712
        77.580
        78.324
        78.879
        79.425
        80.375
        81.311
        82.031
        82.646
        83.626
        84.165
        84.762
        85.206
        85.721
        86.190
        86.580
        87.029
        87.707
        88.190
        88.570
        89.038
        89.578
        89.954
        90.530
        90.952
        91.530
        91.859
        92.289
        92.733
        93.328
        93.659
        93.951
        94.450
        95.054
        95.206
        95.534
        95.846
        96.089
        96.249
        96.600
        96.934
        97.328
        97.674
        98.013
        98.432
        99.317
        99.745
        100.259
        100.666
        101.478
        102.252
        102.675
        103.191
        103.568
        103.938
        104.328
        104.907
        105.724
        106.062
        106.611
        107.190
        108.175
        109.178
        109.793
        110.671
        111.726
        112.446
        113.405
        114.389
        115.357
        116.347
        117.026];

    RateM=[0.38
        0.38
        0.38
        0.38
        0.38
        0.38
        0.66
        0.75
        0.80
        0.85
        0.92
        0.95
        0.97
        1.00
        1.00
        1.00
        1.00
        1.00
        1.00
        1.06
        1.09
        1.12
        1.14
        1.16
        1.17
        1.17
        1.17
        1.17
        1.17
        1.17
        1.02
        1.04
        1.07
        1.05
        1.08
        1.10
        1.07
        1.12
        1.12
        1.15
        1.16
        1.15
        1.16
        1.20
        1.30
        1.31
        1.36
        1.34
        1.34
        1.36
        1.40
        1.47
        1.55
        1.45
        1.56
        1.62
        1.63
        1.54
        1.56
        1.73
        1.57
        1.54
        1.59
        1.57
        1.67
        1.70
        1.81
        1.83
        1.71
        1.74
        1.85
        2.09
        1.96
        1.97
        2.01
        2.19
        2.16
        2.11
        2.04
        2.04
        1.79
        1.38
        1.44
        1.60
        1.18
        0.97
        1.03
        0.97
        0.76
        0.64
        0.80
        1.22
        1.06
        0.85
        0.83
        1.28
        1.39
        1.29
        1.35
        1.43
        1.43
        1.64
        1.68
        1.96
        2.18
        2.24
        2.35
        2.48
        2.45
        2.50
        2.50
        2.62
        2.75
        2.71
        2.75
        2.73
        2.95
        2.96
        2.88
        2.94
        2.84
        3.00
        2.96
        3.00
        3.00
        3.00
        2.99
        3.24
        3.47
        3.50
        3.28
        2.98
        2.72
        1.67
        1.20
        1.26
        0.63
        0.93
        0.68
        1.53
        1.76
        1.80
        2.27
        2.42
        2.48
        2.43
        2.80
        2.96
        2.90
        3.39
        3.47
        3.50
        3.76
        3.98
        4.00
        3.99
        3.99
        3.97
        3.84
        3.92
        3.85
        3.32
        3.23
        2.98
        2.60
        2.47
        2.44
        1.98
        1.45
        2.54
        2.02
        1.49
        1.98
        1.73
        1.17
        2.00
        1.88
        2.26
        2.61
        2.33
        2.15
        2.37
        2.85
        2.78
        2.36
        2.68
        2.71
        2.93
        2.90
        2.90
        2.94
        2.93
        2.92
        3.00
        2.98
        2.90
        3.00
        2.99
        3.02
        3.49
        3.48
        3.50
        3.48
        3.38
        3.48
        3.48
        3.43
        3.47
        3.50
        3.50
        3.42
        3.50
        3.45
        3.36
        3.52
        3.85
        3.90
        3.98
        4.04
        4.09
        4.10
        4.04
        4.09
        4.12
        4.01
        4.08
        4.10
        4.32
        4.42
        4.60
        4.65
        4.67
        4.90
        5.17
        5.30
        5.53
        5.40
        5.53
        5.76
        5.40
        4.94
        5.00
        4.53
        4.05
        3.94
        3.98
        3.79
        3.90
        3.99
        3.88
        4.13
        4.51
        4.60
        4.71
        5.05
        5.76
        6.11
        6.07
        6.02
        6.03
        5.78
        5.91
        5.82
        6.02
        6.30
        6.61
        6.79
        7.41
        8.67
        8.90
        8.61
        9.19
        9.15
        9.00
        8.85
        8.97
        8.98
        8.98
        7.76
        8.10
        7.94
        7.60
        7.21
        6.61
        6.29
        6.20
        5.60
        4.90
        4.14
        3.72
        3.71
        4.15
        4.63
        4.91
        5.31
        5.56
        5.55
        5.20
        4.91
        4.14
        3.50
        3.29
        3.83
        4.17
        4.27
        4.46
        4.55
        4.80
        4.87
        5.04
        5.06
        5.33
        5.94
        6.58
        7.09
        7.12
        7.84
        8.49
        10.40
        10.50
        10.78
        10.01
        10.03
        9.95
        9.65
        8.97
        9.35
        10.51
        11.31
        11.93
        12.92
        12.01
        11.34
        10.06
        9.45
        8.53
        7.13
        6.24
        5.54
        5.49
        5.22
        5.55
        6.10
        6.14
        6.24
        5.82
        5.22
        5.20
        4.87
        4.77
        4.84
        4.82
        5.29
        5.48
        5.31
        5.29
        5.25
        5.02
        4.95
        4.65
        4.61
        4.68
        4.69
        4.73
        5.35
        5.39
        5.42
        5.90
        6.14
        6.47
        6.51
        6.56
        6.70
        6.78
        6.79
        6.89
        7.36
        7.60
        7.81
        8.04
        8.45
        8.96
        9.76
        10.03
        10.07
        10.06
        10.09
        10.01
        10.24
        10.29
        10.47
        10.94
        11.43
        13.77
        13.18
        13.78
        13.82
        14.13
        17.19
        17.61
        10.98
        9.47
        9.03
        9.61
        10.87
        12.81
        15.85
        18.90
        19.08
        15.93
        14.70
        15.72
        18.52
        19.10
        19.04
        17.82
        15.87
        15.08
        13.31
        12.37
        13.22
        14.78
        14.68
        14.94
        14.45
        14.15
        12.59
        10.12
        10.31
        9.71
        9.20
        8.95
        8.68
        8.51
        8.77
        8.80
        8.63
        8.98
        9.37
        9.56
        9.45
        9.48
        9.34
        9.47
        9.56
        9.59
        9.91
        10.29
        10.32
        11.06
        11.23
        11.64
        11.30
        9.99
        9.43
        8.38
        8.35
        8.50
        8.58
        8.27
        7.97
        7.53
        7.88
        7.90
        7.92
        7.99
        8.05
        8.27
        8.14
        7.86
        7.48
        6.99
        6.85
        6.92
        6.56
        6.17
        5.89
        5.85
        6.04
        6.91
        6.43
        6.10
        6.13
        6.37
        6.85
        6.73
        6.58
        6.73
        7.22
        7.29
        6.69
        6.77
        6.83
        6.58
        6.58
        6.87
        7.09
        7.51
        7.75
        8.01
        8.19
        8.30
        8.35
        8.76
        9.12
        9.36
        9.85
        9.84
        9.81
        9.53
        9.24
        8.99
        9.02
        8.84
        8.55
        8.45
        8.23
        8.24
        8.28
        8.26
        8.18
        8.29
        8.15
        8.13
        8.20
        8.11
        7.81
        7.31
        6.91
        6.25
        6.12
        5.91
        5.78
        5.90
        5.82
        5.66
        5.45
        5.21
        4.81
        4.43
        4.03
        4.06
        3.98
        3.73
        3.82
        3.76
        3.25
        3.30
        3.22
        3.10
        3.09
        2.92
        3.02
        3.03
        3.07
        2.96
        3.00
        3.04
        3.06
        3.03
        3.09
        2.99
        3.02
        2.96
        3.05
        3.25
        3.34
        3.56
        4.01
        4.25
        4.26
        4.47
        4.73
        4.76
        5.29
        5.45
        5.53
        5.92
        5.98
        6.05
        6.01
        6.00
        5.85
        5.74
        5.80
        5.76
        5.80
        5.60
        5.56
        5.22
        5.31
        5.22
        5.24
        5.27
        5.40
        5.22
        5.30
        5.24
        5.31
        5.29
        5.25
        5.19
        5.39
        5.51
        5.50
        5.56
        5.52
        5.54
        5.54
        5.50
        5.52
        5.50
        5.56
        5.51
        5.49
        5.45
        5.49
        5.56
        5.54
        5.55
        5.51
        5.07
        4.83
        4.68
        4.63
        4.76
        4.81
        4.74
        4.74
        4.76
        4.99
        5.07
        5.22
        5.20
        5.42
        5.30
        5.45
        5.73
        5.85
        6.02
        6.27
        6.53
        6.54
        6.50
        6.52
        6.51
        6.51
        6.40
        5.98
        5.49
        5.31
        4.80
        4.21
        3.97
        3.77
        3.65
        3.07
        2.49
        2.09
        1.82
        1.73
        1.74
        1.73
        1.75
        1.75
        1.75
        1.73
        1.74
        1.75
        1.75
        1.34
        1.24
        1.24
        1.26
        1.25
        1.26
        1.26
        1.22
        1.01
        1.03
        1.01
        1.01
        1.00
        0.98
        1.00
        1.01
        1.00
        1.00
        1.00
        1.03
        1.26
        1.43
        1.61
        1.76
        1.93
        2.16
        2.28
        2.50
        2.63
        2.79
        3.00
        3.04
        3.26
        3.50
        3.62
        3.78
        4.00
        4.16
        4.29
        4.49
        4.59
        4.79
        4.94
        4.99
        5.24
        5.25
        5.25
        5.25
        5.25
        5.24
        5.25
        5.26
        5.26
        5.25
        5.25
        5.25
        5.26
        5.02
        4.94
        4.76
        4.49
        4.24
        3.94
        2.98
        2.61
        2.28
        1.98
        2.00];
    RateMtime=[1947:1/12:2008+5/12];
    Ratetime=[1947:1/4:2008+1/4];
    tau=[1 1 1]/3;
    A=kron(eye(length(Ratetime)),tau);
    Rate=A*RateM;
    %I want the data to cover the period 1947q2.
    Rate=Rate([2:find(Ratetime==2006+2/4)]);
    Ratetime=Ratetime([2:find(Ratetime==2006+2/4)]);
    %plot(RateMtime,RateM,Ratetime,Rate,'*-')
    %legend('monthly','quarterly')
    %axis tight
    %price of investment  1947q2-2006q3, taken from ACELdata.xlsx, book
    %priceofinvestment, column S.
    pI=[97.1641299
        99.16019222
        100.8086962
        97.47018815
        96.68871325
        99.91710801
        100.9031569
        101.7621726
        100.0295371
        101.5602441
        100.0657211
        100.0213102
        100.7372085
        100.8918013
        101.9294588
        103.7515442
        104.3474634
        103.7245944
        102.8403134
        102.1634078
        100.6789299
        102.2496766
        99.84116003
        99.63791682
        99.4760865
        99.19355042
        98.17088807
        97.70528263
        96.28436143
        96.66693928
        97.06590331
        97.16196478
        97.20476706
        98.08728569
        99.98412182
        101.1109376
        99.6809308
        101.0355892
        100.656889
        101.6749927
        101.8184741
        100.5087799
        98.04356973
        97.99224006
        97.22536204
        98.87802555
        100.0738309
        99.19590751
        98.69981145
        98.08998763
        97.71945621
        98.27458212
        97.27311062
        96.25631783
        94.89273576
        95.15791809
        95.54343859
        95.53441981
        95.70959088
        95.35547455
        94.60189941
        94.3172824
        93.61755468
        93.13959384
        93.38078761
        92.87888437
        93.39325237
        92.59534124
        92.52810358
        91.80598776
        92.14026391
        92.10091484
        91.41832231
        90.65334145
        90.7760733
        89.69417651
        89.68546869
        89.39880903
        89.61126824
        89.30686665
        88.98516302
        89.08977802
        89.40871672
        89.18873427
        88.70811223
        88.38401141
        88.99009304
        88.81956359
        88.30105086
        87.61228
        87.58814012
        87.0566558
        87.0641509
        86.2922375
        86.49713179
        87.21060519
        87.12518504
        86.69934517
        86.28229508
        86.00174997
        86.05038359
        86.18207065
        86.4540705
        85.49548658
        84.52437154
        84.21275841
        83.80131169
        82.13540748
        82.5102028
        83.19934437
        83.8295873
        84.66332801
        85.77616783
        85.01836019
        84.74259657
        84.57187736
        85.16720587
        85.02923488
        85.43434638
        85.19433587
        84.25976751
        83.81301034
        85.59858635
        85.14926677
        84.67018186
        84.56017829
        84.85273142
        84.66454363
        84.3457616
        84.16968075
        83.81026764
        83.16793358
        83.03505251
        82.67078669
        82.06650017
        81.70888248
        82.43193249
        82.11693238
        82.42727667
        82.11651533
        82.06138882
        81.15625612
        80.33206862
        79.45473128
        78.52753508
        77.50925566
        77.40135321
        76.5448044
        76.04359482
        75.51065996
        75.23565769
        74.55417409
        74.17904107
        73.57613897
        73.41103043
        73.00725237
        73.53706779
        73.40166502
        73.20964947
        72.92660008
        72.5818328
        72.08132536
        71.97279706
        71.58440225
        71.05157295
        70.32116501
        70.08061417
        69.79172063
        69.01131931
        68.72710807
        68.48656451
        67.69099738
        66.94843025
        66.2597544
        65.51328335
        65.60337135
        65.23950905
        64.92822047
        64.34310076
        63.50248213
        63.21573122
        62.83445622
        62.51015475
        62.31040233
        62.18836194
        62.1399766
        62.11402018
        62.07782657
        61.97047712
        61.76683318
        61.58014593
        61.46853211
        61.14619522
        60.89985035
        60.49940432
        60.02675787
        59.30120946
        58.65670886
        58.3512836
        58.08831052
        57.19827737
        57.02037007
        56.56811778
        56.10384956
        55.64065316
        55.22442077
        54.9032305
        54.65773311
        53.95116237
        53.50068368
        52.97847031
        52.64217335
        52.30196467
        52.13413724
        51.80646728
        51.22601388
        50.7729514
        50.72795785
        50.73133165
        50.25190315
        49.73053187
        49.35132345
        49.1696671
        48.67663303
        48.27757335
        47.8238587
        47.65453618
        47.4740416
        47.32788319
        47.21482356
        47.1314202
        47.22443169
        46.99368448
        46.5727015
        46.60084122
        46.63706837
        46.25391838
        45.97415911];

    %here is the data set: 1947q3-2006q3
    time=1947+2/4:1/4:2006+2/4;
    dlgd=diff(lrdef)-mean(diff(lrdef));
    dlc=diff(lrcndsv)-mean(diff(lrcndsv));
    dli=diff(lrinvfx)-mean(diff(lrinvfx));
    dly=diff(lrgdp)-mean(diff(lrgdp));
    dlw=diff(lrbuswage)-mean(diff(lrbuswage));
    dlpi=diff(log(pI))-mean(diff(log(pI)));
    linfl=diff(log(price))-mean(diff(log(price)));
    dlh=diff(ltothours)-mean(diff(ltothours));
    RXU=Rate(2:end)/400-mean(Rate(2:end)/400);

    save gdata dly linfl dlc dli RXU dlgd dlpi dlh time

else

    load gdata dly linfl dlc dli RXU dlgd dlpi dlh time

end

X=[dly linfl dlc dli RXU dlgd dlpi dlh];

if ip == 1
subplot(4,2,1)
plot(time,(dlgd))
title('dlog defense')
axis tight
subplot(4,2,2)
plot(time,(dlc))
title('dlog c')
axis tight
subplot(4,2,3)
plot(time,(dli))
title('dlog I')
axis tight
subplot(4,2,4)
plot(time,(dly))
title('dlog output')
axis tight
subplot(4,2,5)
plot(time,(dlw))
title('dlog w')
axis tight
subplot(4,2,6)
plot(time,(dlpi))
title('dlog investment price')
axis tight
subplot(4,2,7)
plot(time,RXU)
title('interest rate')
axis tight
subplot(4,2,8)
plot(time,linfl)
title('inflation (dlog GDP deflator)')
axis tight
end
