function [sigma,omegabar,Gamma,Gam_muG,ixx] = getomega(s,Fomegabar,mu)

ixx=0;
%equation aa5
oom=[.0000001:.1:.99];

ij=0;
omega=oom(1);
[ff(1),ix] = findomega(omega,s,Fomegabar,mu);
for ii = 2:length(oom)
    omega=oom(ii);
    [ff(ii),ix] = findomega(omega,s,Fomegabar,mu);
    
    if ff(ii)*ff(ii-1) < 0 & ix == 0
        ij=ij+1;
        II(ij)=ii;
    end
    
end

if ij > 1 
    ixx=2;
    %disp('(getomega) multiple solutions to eq. aa5')
    sigma=[];
    omegabar=[];
    Gamma=[];
    Gam_muG=[];
    return
end
if ij < 1 
    ixx=1;
    %disp('(getomega) no solution to eq. aa5')    
    sigma=[];
    omegabar=[];
    Gamma=[];
    Gam_muG=[];
    return
end
omega1=oom(II(1)-1);
omega2=oom(II(1));
                                     
opt=optimset('diagnostics','on','LevenbergMarquardt','on','TolX',1e-16,'TolFun',1e-16);
[omegabar,fval,exitflag,output] =   fzero(@findomega,[omega1,omega2],opt,s,Fomegabar,mu);
if abs(fval ) > .1e-9 | abs(imag(omega))>.1e-10 | exitflag <= 0
    ix(4)=1;
    error('fatal (getomega) failed to find omega')
end
[fff,ix,Gamma,Gam_muG] = findomega(omegabar,s,Fomegabar,mu);
[sigma] = ffsigma(omegabar,Fomegabar);
if ix ~= 0
    ixx==3;
end